Bug 152271 - abnormally long waits for tasks inside the printer GUI
abnormally long waits for tasks inside the printer GUI
Product: Fedora
Classification: Fedora
Component: system-config-printer (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
Depends On:
  Show dependency treegraph
Reported: 2005-03-26 20:53 EST by Ricky Ng-Adam
Modified: 2007-12-28 14:24 EST (History)
0 users

See Also:
Fixed In Version: FC6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-18 04:14:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ricky Ng-Adam 2005-03-26 20:53:37 EST
Description of problem:

There is two long wait in system-config-printer-gui:

"Loading printer information.
Please wait..." -> ~55s

"Applying changes.
Please wait..." -> ~55s

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. start system-config-printer-gui
2. Select printer (in my case, a SMB printer)
3. Action > Edit Queue
4. [WAIT]
5. Click on one of the tab and then click OK
6. Action > Apply changes
7. [WAIT]
Actual results:

-Excessive wait time, especially compared to kprinter or Windows.
-Apply changes even if I didn't actually make any

Expected results:

-5-10s waits max.
-No apply change possible if no actual change made...

Additional info:
Comment 1 Tim Waugh 2005-03-27 04:48:54 EST
How many queues do you have?

The first delay (loading printer information) should be better in rawhide since
the information is now cached.  It will still take a while the first time but
subsequently should be quite fast.
Comment 2 Ricky Ng-Adam 2005-03-27 11:35:03 EST
I only have one queue...  

Will you be able to reduce the initial delay also?
Comment 3 Tim Waugh 2005-04-06 08:34:24 EDT
Not for FC4, no.
Comment 4 Ricky Ng-Adam 2005-09-25 15:03:00 EDT
Just for kicks, I tried doing the same task in Ubuntu Breezy Badger Colony 5 and
it is painless and very quick (no delay at all).

So I would suggest using whatever they are using (gnome-cups-manager) for future
FC release.
Comment 5 Ricky Ng-Adam 2006-01-17 20:13:05 EST
Just tried FC5t2 system-config-printer-gui-0.6.148-1 and the initial delay is
still there but after that it much faster as you've said.


*the apply is still activated even if I haven't made a change
*the "Please wait" box that pops up stays on top even when I ALT-TAB away from
the application

Will there be an effort on the printer GUI for FC5 release?
Comment 6 Tim Waugh 2006-01-18 04:14:06 EST

What is needed is a redesign of system-config-printer, or else a re-architecting
of the client sides to make it irrelevant.  Work is going into planning this.
Comment 7 Ricky Ng-Adam 2007-12-28 14:24:58 EST
In Fedora 8 system-config-printer is spiffier and although there is still a
delay the first time when "Searching for drivers", it seems to be much snappier
in subsequent instances. Thank you!

Note You need to log in before you can comment on or make changes to this bug.